//=============================================================================================
//This is an advanced SetValue Script for Modeler
//By Samuel Kvaalen
//

@warnings
@version 2.3

main
{
    selmode(USER);
    editbegin();
    ptsCnt = pointcount();
    editend();
    if(!ptsCnt)
    {
        error("<br>There is nothing to set a value to");
        return;
    }




    Xbl = true;
    Ybl = true;
    Zbl = true;
    Xvl = 0;
    Yvl = 0;
    Zvl = 0;

    reqbegin("SetValuePlus");
    reqsize(192,180);

    c1 = ctlcheckbox(" X",Xbl);
    ctlposition(c1,7,7);

    c2 = ctlcheckbox(" Y",Ybl);
    ctlposition(c2,7,46);

    c3 = ctlcheckbox(" Z",Zbl);
    ctlposition(c3,7,85);

    c4 = ctldistance("Value:",Xvl);
    ctlposition(c4,46,8);

    c5 = ctldistance("Value:",Yvl);
    ctlposition(c5,46,46);

    c6 = ctldistance("Value:",Zvl);
    ctlposition(c6,46,85);

    c7 = ctlbutton("  Help!",51,"button_callback_c7");
    ctlposition(c7,7,123,51,19);

    c8 = ctlsep(2,183);
    ctlposition(c8,2,111,183,5);

    return if !reqpost();

    Xbl = getvalue(c1);
    Ybl = getvalue(c2);
    Zbl = getvalue(c3);
    Xvl = getvalue(c4);
    Yvl = getvalue(c5);
    Zvl = getvalue(c6);

    reqend();

editbegin();
    if(Xbl) 
    {
    for(i = 0; i < ptsCnt; i++)
        {
        curPts = points[i+1];
        pointmove(curPts,<Xvl, curPts.y, curPts.z>);
        } 
    }
editend();
editbegin();
    if(Ybl) 
    {
    for(i = 0; i < ptsCnt; i++)
        {
        curPts = points[i+1];
        pointmove(curPts,<curPts.x, Yvl, curPts.z>);
        } 
    }
editend();
editbegin();
    if(Zbl) 
    {
    for(i = 0; i < ptsCnt; i++)
        {
        curPts = points[i+1];
        pointmove(curPts,<curPts.x, curPts.y, Zvl>);
        } 
    }
editend();
}

button_callback_c7
{

    info("<br>Choose the values you want to set, and type thier value");
}

